Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227066 - Review Request: jarjar-0.6-2jpp - Jar Jar Links
Summary: Review Request: jarjar-0.6-2jpp - Jar Jar Links
Keywords:
Status: CLOSED DUPLICATE of bug 532523
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:39 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-28 22:31:37 UTC


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:39:29 UTC
Spec URL: http://people.redhat.com/rafaels/specs/jarjar-0.6-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/jarjar-0.6-2jpp.src.rpm
Description: Jar Jar Links is a utility that makes it easy to repackage Java
libraries and embed them into your own distribution. This is
useful for two reasons:
You can easily ship a single jar file with no external dependencies.
You can avoid problems where your library depends on a specific
version of a library, which may conflict with the dependencies of
another library.

Javadoc for jarjar.

Manual for jarjar.

Comment 1 Deepak Bhole 2007-02-13 21:00:44 UTC
Packages marked with X need fixing.

MUST:
* package is named appropriately
 - match upstream tarball or project name
   OK
 
 - try to match previous incarnations in other distributions/packagers for
consistency
   OK

 - specfile should be %{name}.spec
   OK

 - non-numeric characters should only be used in Release (ie. cvs or
   something)
   OK

 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
   OK

 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
   OK

* is it legal for Fedora to distribute this?
 - OSI-approved
   GPL - OK
 
 - not a kernel module
   It isn't

 - not shareware
   It isn't

 - is it covered by patents?
   No

 - it *probably* shouldn't be an emulator
   It isn't

 - no binary firmware
   No
 
* license field matches the actual license.
  Yes

* license is open source-compatible.
  Yes

 - use acronyms for licences where common
  Used

* specfile name matches %{name}
  Yes

* verify source and patches (md5sum matches upstream, know what the patches do)
  No patches

X - if upstream doesn't release source drops, put *clear* instructions on
    how to generate the the source drop; ie. 
    # svn export blah/tag blah
    # tar cjf blah-version-src.tar.bz2 blah
    Needs instructions

X * skim the summary and description for typos, etc.
    Can the summary be made more descriptive?

X * correct buildroot
    - should be:
    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
    Needs fixing.

X * if %{?dist} is used, it should be in that form (note the ? and %
    locations)
    %{?dist} should be used

* license text included in package and marked with %doc
  No license in package. OK.

* keep old changelog entries; use judgement when removing (too old?
useless?)
  OK

* packages meets FHS (http://www.pathname.com/fhs/)
  OK

X * rpmlint on <this package>.srpm gives no output
  - justify warnings if you think they shouldn't be there
  W: jarjar non-standard-group Text Processing/Markup/XML
  W: jarjar-javadoc non-standard-group Development/Documentation
  W: jarjar-javadoc dangerous-command-in-%post rm
  W: jarjar-javadoc dangerous-command-in-%postun rm
  W: jarjar non-standard-group Text Processing/Markup/XML

* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

  OK

X * Distributor tag should not be used
    Fix

X * Vendor tag should not be used
    Fix

* use License and not Copyright 
  OK

X * Summary tag should not end in a period
    OK (Summary needs changing, so please be sure to follow this then)

* if possible, replace PreReq with Requires(pre) and/or Requires(post)
  OK

* specfile is legible
 - this is largely subjective; use your judgement
  OK 

X * package successfully compiles and builds on at least x86
    OK with help from jpackage. Please build in mock when dependencies are done.
   
X * BuildRequires are proper
  - builds in mock will flush out problems here
  - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
   Build in mock to confirm.

X  * summary should be a short and concise description of the package
   Summary needs update. See above.  

* description expands upon summary (don't include installation
instructions)
  OK

* make sure lines are <= 80 characters
 Line 8 in %install is too long.

* specfile written in American English

* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
  NA

* packages including libraries should exclude static libraries if possible
  NA

* don't use rpath
  NA

* config files should usually be marked with %config(noreplace)
  NA

* GUI apps should contain .desktop files
  NA

* should the package contain a -devel sub-package?
  No

* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
  OK

* don't use %makeinstall
  OK

* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
  OK

* consider using cp -p to preserve timestamps
  OK

* split Requires(pre,post) into two separate lines
  OK

* package should probably not be relocatable
  OK

* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
 OK

* package should own all directories and files
  OK

* there should be no %files duplicates
  OK

* file permissions should be okay; %defattrs should be present
  OK

* %clean should be present
  OK

* %doc files should not affect runtime
  OK

* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
  OK

* verify the final provides and requires of the binary RPMs
  OK

* run rpmlint on the binary RPMs
  OK

SHOULD:
* package should include license text in the package and mark it with %doc
  No. Package tarball does not have it.

X * package should build on i386
    No

X * package should build in mock
    No

$ rpm -qp --provides ~/rpmbuilds/RPMS/noarch/jarjar-0.6-2jpp.noarch.rpm 
jarjar = 0:0.6-2jpp

$ rpm -qp --requires ~/rpmbuilds/RPMS/noarch/jarjar-0.6-2jpp.noarch.rpm 
asm2  
gnu.regexp  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

$ rpm -qp --provides ~/rpmbuilds/RPMS/noarch/jarjar-javadoc-0.6-2jpp.noarch.rpm 
jarjar-javadoc = 0:0.6-2jpp

$ rpm -qp --requires ~/rpmbuilds/RPMS/noarch/jarjar-javadoc-0.6-2jpp.noarch.rpm 
/bin/sh  
/bin/sh  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1



Comment 2 Nuno Santos 2007-02-15 21:14:26 UTC
Revised spec file is here: http://people.redhat.com/nsantos/jarjar.spec

Comment 3 Philippe Valembois 2007-05-28 11:23:32 UTC
Release tag has %(dist) in place of %{dist}

RPMLint report :
W: jarjar non-standard-group Text Processing/Markup/XML
W: jarjar mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 83)

Mock can't find asm2

Comment 4 Deepak Bhole 2007-05-28 22:31:37 UTC
This bug should actually be closed. jarjar was being brought in as an indirect
dependency of maven. However, in the interest of time, that was worked around by
disabling a test case back then. Since this was never followed up, review for
jarjar should be re-opened/redone when those tests are re-enabled in maven.

Comment 5 Jason Tibbitts 2007-05-29 17:26:06 UTC
Please keep the blockers accurate when closing review tickets like this, thanks.

Comment 6 Jason Tibbitts 2009-11-02 20:27:14 UTC

*** This bug has been marked as a duplicate of bug 532523 ***


Note You need to log in before you can comment on or make changes to this bug.